# TdApi.SearchWebApp (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SearchWebApp

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchWebApp

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundWebApp>
it.tdlight.jni.TdApi.SearchWebApp

Enclosing class:
  TdApi

public static final class TdApi.SearchWebApp extends TdApi.Function<TdApi.FoundWebApp>
Returns information about a Web App by its short name. Returns a 404 error if the Web App is not found. Returns `FoundWebApp`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
Identifier of the target bot.
`static final int`
`CONSTRUCTOR`
`String`
`webAppShortName`
Short name of the Web App.

## Constructor Summary

Constructors
Constructor
Description
`SearchWebApp()`
Returns information about a Web App by its short name.
`SearchWebApp(long botUserId, String webAppShortName)`
Returns information about a Web App by its short name.
`SearchWebApp(DataInput input)`
Returns information about a Web App by its short name.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Identifier of the target bot.

### webAppShortName

public String webAppShortName
Short name of the Web App.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchWebApp

public SearchWebApp()
Returns information about a Web App by its short name. Returns a 404 error if the Web App is not found. Returns `FoundWebApp`

### SearchWebApp

public SearchWebApp(long botUserId, String webAppShortName)
Returns information about a Web App by its short name. Returns a 404 error if the Web App is not found. Returns `FoundWebApp`

Parameters:
  `botUserId` - long Identifier of the target bot.
  `webAppShortName` - String Short name of the Web App.

### SearchWebApp

public SearchWebApp(DataInput input) throws IOException
Returns information about a Web App by its short name. Returns a 404 error if the Web App is not found. Returns `FoundWebApp`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`